<?php
// vim:set tabstop=2 shiftwidth=2:

include("header.inc.php");

$search = $_GET['search'];
$from = $_GET['from'];
$duration = $_GET['duration'];
$date = $_GET['date'];

if( isset($search) && $search != "" )
{
	if( ! isset($from) || $from == "" )
		$from = 0;
	if( ! isset($duration) || $duration == "" )
		$duration = 1;

	$from += 0;
	$duration += 0;

	echo `./search.sh $search $from $duration`;
}

echo "<p>\n";
echo "<center>\n";
echo "<form action=\"#\" method=\"get\">\n";
echo "<input type=\"text\" value=\"$search\" name=search>\n";
echo "를\n";
echo "<select name=\"from\">\n";
echo "<option value=\"0\"" . ($from==0?" selected":"") .">오늘</option>\n";
echo "<option value=\"7\"" . ($from==7?" selected":"") .">일주일전</option>\n";
echo "<option value=\"31\"" . ($from==31?" selected":"") .">한달전</option>\n";
echo "<option value=\"61\"" . ($from==61?" selected":"") .">두달전</option>\n";
echo "<option value=\"92\"" . ($from==92?" selected":"") .">세달전</option>\n";
echo "<option value=\"183\"" . ($from==183?" selected":"") .">여섯달전</option>\n";
echo "<option value=\"365\"" . ($from==365?" selected":"") .">일년전</option>\n";
echo "</select>\n";
echo "부터\n";
echo "<select name=\"duration\">\n";
echo "<option value=\"1\"" . ($duration==1?" selected":"") .">하루</option>\n";
echo "<option value=\"8\"" . ($duration==8?" selected":"") .">일주일</option>\n";
echo "<option value=\"32\"" . ($duration==32?" selected":"") .">한달</option>\n";
echo "<option value=\"62\"" . ($duration==62?" selected":"") .">두달</option>\n";
echo "<option value=\"93\"" . ($duration==93?" selected":"") .">세달</option>\n";
echo "<option value=\"184\"" . ($duration==184?" selected":"") .">여섯달</option>\n";
echo "<option value=\"366\"" . ($duration==366?" selected":"") .">일년</option>\n";
echo "</select>\n";
echo "동안\n";
echo "<input type=\"submit\" value=\"검색\">\n";
//echo "<input type=\"checkbox\" value=\"extended regular expression\">\n";
echo "</form>\n";
echo "</p>\n";
echo "<p>\n";
echo "서버에 쉘로 접속해서 ". `pwd` ."디렉토리에서 직접 검색해도 됩니다.\n";
echo "</p>\n";
echo "</center>\n";

if (isset($date) && preg_match("/^\d\d\d\d-\d\d-\d\d$/", $date))
{
	echo "<p>\n";
	echo "  <a href=\"./\">Index</a>\n";
	echo "</p>\n";

	echo "<h2>IRC Log for $date</h2>\n";
	echo "<p>\n";
	echo "  Timestamps are in KST.\n";
	echo "</p>\n";
	echo "<p>\n";

	readfile($date . ".log");
	echo "</p>\n";
}
else
{
	$columns = 4;
	$column = 0;

	$year = date( "Y" );
	$month = date( "n" );

	echo "<center>\n";
	echo "<table cellpadding=5>\n";
	echo "  <tr>\n";
	do {
		// 열의 개수가 많으면 다음행으로 옮김
		if( $column >= $columns )
		{
			$column = 0;
			echo "  </tr>\n";
			echo "  <tr>\n";
		}

		// 이번달의 시작요일 구함
		$day = date( "w", mktime( 0, 0, 0, $month, 1, $year ) );
		$day = 1 - $day;


		// 이번달의 날 수를 구함
		$tmonth = $month + 1;
		if( $tmonth > 12 )
		{
			$tyear = $year + 1;
		}
		else
		{
			$tyear = $year;
		}
		$day_max = date( "j", mktime( 0, 0, 0, $tmonth, 1, $tyear ) - 1 );

		// 한 달의 달력 출력
		echo "    <td valign=top>\n";
		echo "    <table>\n";
		echo "      <tr>\n";
		echo "        <td colspan=7 align=center>". $year ."년 ". $month ."월\n";
		echo "      </tr>\n";
		echo "      <tr bgcolor=#dddddd>\n";
		echo "        <td align=center><font color=red>일</font>\n";
		echo "        <td align=center>월\n";
		echo "        <td align=center>화\n";
		echo "        <td align=center>수\n";
		echo "        <td align=center>목\n";
		echo "        <td align=center>금\n";
		echo "        <td align=center><font color=blue>토</font>\n";
		echo "      </tr>\n";
		while( $day <= $day_max )
		{
			echo "      <tr>\n";
			for( $week=0; $week<7; $week++, $day++ )
			{
				if( 0 < $day && $day <= $day_max )
				{
					$datestr = sprintf( "%04d-%02d-%02d", $year, $month, $day );

					if( file_exists( "$datestr.log" ) )
					{
						// 로그파일이 있으면 링크를 걸줌
						echo "        <td align=center><a href=". $_SERVER['PHP_SELF'] ."?date=$datestr>". $day ."</a>\n";
					}
					else
					{
						echo "        <td align=center>". $day ."\n";
					}
				}
				else
				{
					echo "        <td>&nbsp;\n";
				}

			}
			echo "      </tr>\n";
		}
		echo "    </table>\n";
		echo "    </td>\n";

		// 이전달로 변수 옮김
		$month --;
		if( $month <= 0 )
		{
			$year --;
			$month = 12;
		}

		$column ++;
	} while( $year >= 2006 );
	echo "  <tr>\n";
	echo "</table>\n";
	echo "</center>\n";
}

include("footer.inc.php");

?>
